read.probematrix {affy} | R Documentation

## Read CEL file data into PM or MM matrices

### Description

Read CEL data into matrices.

### Usage

    read.probematrix(..., filenames = character(0),
                   phenoData = new("AnnotatedDataFrame"),
                   description = NULL,
                   notes = "",
                   compress = getOption("BioC")$affy$compress.cel,
                   rm.mask = FALSE, rm.outliers = FALSE, rm.extra = FALSE,
                   verbose = FALSE,which="pm", cdfname = NULL)

### Arguments

`...` | file names separated by comma.
`filenames` | file names in a character vector.
`phenoData` | a `AnnotatedDataFrame` object
`description` | a `MIAME` object
`notes` | notes
`compress` | are the CEL files compressed ?
`rm.mask` | should the spots marked as 'MASKS' set to `NA` ?
`rm.outliers` | should the spots marked as 'OUTLIERS' set to `NA`
`rm.extra` | if `TRUE`, overrides what is in `rm.mask` and `rm.oultiers`
`verbose` | verbosity flag
`which` | should be either "pm", "mm" or "both"
`cdfname` | Used to specify the name of an alternative cdf package. If set to `NULL`, the usual cdf package based on Affymetrix' mappings will be used.

### Value

A list of one or two matrices. Each matrix is either PM or MM data. No `AffyBatch` is created.

### Author(s)

Ben Bolstad bmb@bmbolstad.com

### See Also

`AffyBatch`, `read.affybatch`

[Package affy version 1.22.1 Index]